Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/shop-builder/
https://store.xsolla.com/api/
Operations

Personalized catalog

This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.

For personalized promotions see Promotions section.

To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations
Operations
Operations
Operations

Coupons

This API allows to you to manage coupons.

Operations

Promo codes

This API allows to manage promo codes.

Operations

Unique catalog offers

This API allows to you to manage unique catalog offers.

Operations

Discounts

This API allows to you to manage discount promotions.

Operations

Bonuses

This API allows to manage bonus promotions.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Get top 10 contributors to reward chain under clanClient-side

Request

Retrieves the list of top 10 contributors to the specific reward chain under the current user's clan. If a user doesn't belong to a clan, the call returns an empty array.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID.

Example: 44056
reward_chain_idintegerrequired

Reward chain ID.

Example: 101
curl -i -X GET \
  https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/user/clan/contributors/101/top \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The top 10 list of contributors to the clan's reward chain.

Bodyapplication/jsonArray [
namestring

User ID. This is the ID sending to Xsolla during authorization and links the user to your Xsolla Login project.

Example: "Rocket"
contributed_amountinteger

The amount of value points contributed by the user.

Example: 100
]
Response
application/json
[ { "name": "winner", "contributed_amount": 555 }, { "name": "Rocket", "contributed_amount": 398 }, { "name": "MrJoe", "contributed_amount": 201 }, { "name": "beginner", "contributed_amount": 1 } ]

Update current user's clanClient-side

Request

Updates a current user's clan via user attributes. Claims all rewards from reward chains that were not claimed for a previous clan and returns them in the response. If the user was in a clan and now is not — their inclusion in the clan will be revoked. If the user changed the clan — the clan will be changed.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID.

Default 44056
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/user/clan/update' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user’s clan was successfully updated.

Bodyapplication/json
rewardArray of objects
Response
application/json
{ "reward": [ {}, {} ] }
Operations
Operations
Operations
Operations
Operations
Operations
Operations